#
# spec file for package perl-TimeDate (Version 1.16)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-TimeDate
License:        Artistic License
Group:          Development/Libraries/Perl
Provides:       TimeDate
Requires:       perl = %{perl_version}
Autoreqprov:    on
Version:        1.16
Release:        136.2
Summary:        Perl Modules for Time and Date Calculation
Source:         TimeDate-%{version}.tar.gz
Patch:          TimeDate-deprecated_array_use.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
These modules provide Perl functions for performing time and date
calculations.



Authors:
--------
    Graham Barr <gbarr@pobox.com>

%debug_package
%prep
%setup -n TimeDate-%{version}
%patch

%build
perl Makefile.PL 
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%doc ChangeLog README
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Date
%{perl_vendorlib}/Time
%{perl_vendorarch}/auto/TimeDate
/var/adm/perl-modules/%{name}

%changelog -n perl-TimeDate
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Mon Jul 21 2003 - rommel@suse.de
- update to version 1.16
- using perl_vendorlib and perl_vendorarch instead of
  perl_sitearch and perl_archlib
* Wed Jun 18 2003 - coolo@suse.de
- package directories
* Mon May 26 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Thu Jan 16 2003 - rommel@suse.de
- update to version 1.14
- fixed depricated array use in timegm()
* Thu Aug 08 2002 - mls@suse.de
- use sitearch macro
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Tue Nov 07 2000 - grimmer@suse.de
- added .packlist to file list and removed BuildRoot path
* Tue Nov 07 2000 - grimmer@suse.de
- removed BuildRoot path from perllocal.pod
* Mon Nov 06 2000 - grimmer@suse.de
- initial version (1.10)
